Description

Supportanfrage

die Installation von ADTF 3.3 beinhaltet im Unterordner \3rdparty\qt5 ja eigentlich alles was ich brauche, um UI Filter/Services  zu

schreiben(header, libs, dlls).

Allerdings kann ich nicht einfach cmake mit -DQT_DIR=... diesen Pfad übergeben, weil da die .exe Dateien von Qt fehlen (moc.exe,

qmake.exe,...). Demensprechend sagen die CMake-Skripte von CMake für Qt auch:"geht nicht, kein Qt gefunden".

Ist das Absicht? Soll ich das mitgelieferte Qt garnicht zum Entwickeln nutzen können?

Lösung

Die gelieferten Qt Binaries dienen lediglich der ADTF Anwendung.

Um mit Qt zu entwickeln muss sich die entsprechenden Pakete selbst besorgt werden, das geht am einfachsten direkt bei Qt.

Related issues:

Related to Public Support - Support Request #10781: How to implement Qt depen... Closed

History

#1 - 2018-04-19 14:48 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::SDK

- Customer set to VW

- Department set to FORSCHUNG

- Affected Products ADTF 3.3.0 added

Hallo Wolfgang,

bitte dem Anwender den Sachverhalt zu QT erklären.

#3 - 2018-04-19 16:20 - hidden

Hi Oliver,

Danke für deine Frage!

Es hätte in der Tat gewisse Vorzüge, Qt komplett mitzuliefern.

Wir haben uns darüber viele Gedanken gemacht und letztlich dagegen entschieden.

Einerseits spielt das Thema Lizenzierung ein Rolle - einige Qt-Komponenten stehen unter Lizenzen, die nicht mit ADTF kompatibel sind.

Andererseits wollen wir uns offen halten, den Umfang des mitgelieferten Qt künftig anzupassen.

Neben den Executables lassen wir z.B. auch jetzt schon 3.7 GB an PDBs weg.

Viele Grüße

Wolfgang

#5 - 2018-04-20 17:15 - hidden
- Status changed from In Progress to Customer Feedback Required

#6 - 2018-04-23 11:57 - hidden

Wie wäre es denn dann mit einem Extra-Download, der die fehlenden Qt-Bestandteile beinhaltet mit dem Hinweis, dass die Nutzer sich selbst um die

Einhaltung der Lizenz kümmern müssen?

Ich meine mich erinnern zu können, dass das bei ADTF2 auch so gehandhabt wurde, bin aber nicht ganz sicher.

#7 - 2018-04-23 12:30 - hidden

- Status changed from Customer Feedback Required to In Progress

#8 - 2018-04-23 15:55 - hidden

Zum Thema Qt-Deployment wurde das letzte Wort sicher noch nicht gesprochen.

Deinen Vorschlag ist eine Überlegung wert - beispielsweise wäre dieses Feature als Teil des Installers denkbar.

Momentan haben wir allerdings viele andere Themen in der Queue - wir werden uns aber auch dem Qt-Thema nochmal widmen.

Viele Grüße

Wolfgang

#9 - 2018-04-23 15:57 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Workaround Available

- Platform Windows 7 64bit added

#10 - 2018-05-04 17:50 - hidden

- Subject changed from Frage zu ADTF 3.3.0 und mitgeliefertem Qt to Delivered Qt files are not complete for development

- Description updated

- Resolution changed from Workaround Available to Not Supported Scope

#11 - 2018-05-22 08:17 - hidden

- Project changed from 20 to Public Support

- Private changed from Yes to No

#12 - 2018-05-23 14:06 - hidden

- Status changed from To Be Closed to Closed

#13 - 2020-03-12 21:30 - hidden

- Related to Support Request #10781: How to implement Qt depended filter within ADTF 3.x added
